- Main Page
- Classes
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# QextScintillaLexerCSharp Class Reference

The QextScintillaLexerCSharp class encapsulates the Scintilla C# lexer. More...

`#include <qextscintillalexercsharp.h>`

Inherits QextScintillaLexerCPP.

List of all members.

## Public Member Functions

- QextScintillaLexerCSharp (TQObject *parent=0, const char *name=0)
- virtual ~QextScintillaLexerCSharp ()
- const char * language () const
- TQColor color (int style) const
- bool eolFill (int style) const
- TQFont font (int style) const
- const char * keywords (int set) const
- TQString description (int style) const
- TQColor paper (int style) const

## Detailed Description

The QextScintillaLexerCSharp class encapsulates the Scintilla C# lexer.

## Constructor & Destructor Documentation

QextScintillaLexerCSharp::QextScintillaLexerCSharp | ( | TQObject * | parent = `0`,
|  | const char * | name = `0` |
| ) |  |  |

Construct a QextScintillaLexerCSharp with parent parent and name name. parent is typically the QextScintilla instance.

virtual QextScintillaLexerCSharp::~QextScintillaLexerCSharp | ( |  | ) | `[virtual]`

Destroys the QextScintillaLexerCSharp instance.

## Member Function Documentation

const char* QextScintillaLexerCSharp::language | ( |  | ) | const`[virtual]`

Returns the name of the language.

Reimplemented from QextScintillaLexerCPP.

TQColor QextScintillaLexerCSharp::color | ( | int | style | ) | const`[virtual]`

Returns the foreground colour of the text for style number style.

See also:
  paper()

Reimplemented from QextScintillaLexerCPP.

bool QextScintillaLexerCSharp::eolFill | ( | int | style | ) | const`[virtual]`

Returns the end-of-line fill for style number style.

Reimplemented from QextScintillaLexerCPP.

TQFont QextScintillaLexerCSharp::font | ( | int | style | ) | const`[virtual]`

Returns the font for style number style.

Reimplemented from QextScintillaLexerCPP.

const char* QextScintillaLexerCSharp::keywords | ( | int | set | ) | const`[virtual]`

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string.

Reimplemented from QextScintillaLexerCPP.

TQString QextScintillaLexerCSharp::description | ( | int | style | ) | const`[virtual]`

Returns the descriptive name for style number style. If the style is invalid for this language then TQString() is returned. This is intended to be used in user preference dialogs.

Reimplemented from QextScintillaLexerCPP.

TQColor QextScintillaLexerCSharp::paper | ( | int | style | ) | const`[virtual]`

Returns the background colour of the text for style number style.

See also:
  color()

Reimplemented from QextScintillaLexerCPP.